Package org.optaplanner.persistence.jpa.impl.score.buildin.bendable

## Class BendableScoreHibernateType

- java.lang.Object
- - org.optaplanner.persistence.jpa.impl.score.AbstractScoreHibernateType
  - - org.optaplanner.persistence.jpa.impl.score.buildin.bendable.BendableScoreHibernateType

- All Implemented Interfaces:
    `org.hibernate.usertype.CompositeUserType`, `org.hibernate.usertype.ParameterizedType`

      public class BendableScoreHibernateType
      extends AbstractScoreHibernateType
      implements org.hibernate.usertype.ParameterizedType

  This class is Hibernate specific, because JPA 2.1's @Converter currently cannot handle 1 class mapping to multiple SQL columns.

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.persistence.jpa.impl.score.AbstractScoreHibernateType

      `scoreDefinition, type`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BendableScoreHibernateType()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `setParameterValues​(Properties parameterMap)` |

    - ### Methods inherited from class org.optaplanner.persistence.jpa.impl.score.AbstractScoreHibernateType

      `assemble, deepCopy, disassemble, equals, extractIntParameter, getPropertyNames, getPropertyTypes, getPropertyValue, hashCode, isMutable, nullSafeGet, nullSafeSet, replace, returnedClass, setPropertyValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BendableScoreHibernateType

          public BendableScoreHibernateType()

  - ### Method Detail

    - #### setParameterValues

          public void setParameterValues​(Properties parameterMap)

      Specified by:
        `setParameterValues` in interface `org.hibernate.usertype.ParameterizedType`